<?xml version="1.0" encoding="utf-8" ?>
<objects xmlns="http://www.springframework.net">

  <object id="RCUHost.HotelTimeReceiver" type="RCUHost.Implement.HotelTimeReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.ExplainDomainIPReceiver" type="RCUHost.Implement.ExplainDomainIPReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.HostRegisterSetReceiver" type="RCUHost.Implement.HostRegisterSetReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.HostRegisterReceiver" type="RCUHost.Implement.HostRegisterReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostRepository" ref="Repository.Host" />
    <property name="HostRCURepository" ref="Repository.HostRCU" />
    <property name="RoomStatusRepository" ref="Repository.RoomStatus" />
  </object>

  <object id="RCUHost.WordsReportReceiver" type="RCUHost.Implement.WordsReportReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostRepository" ref="Repository.Host" />
    <property name="HostWordsReportRepository" ref="Repository.HostWordsReport" />
  </object>

  <object id="RCUHost.MusicControlReceiver" type="RCUHost.Implement.MusicControlReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.TVControlReceiver" type="RCUHost.Implement.TVControlReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.CurtainControlReceiver" type="RCUHost.Implement.CurtainControlReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.ServiceReceiver" type="RCUHost.Implement.ServiceReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostRepository" ref="Repository.Host" />
    <property name="AlarmSettingRepository" ref="Repository.AlarmSetting" />
    <property name="RoomServiceRepository" ref="Repository.RoomService" />
    <property name="RoomServiceRecordRepository" ref="Repository.RoomServiceRecord" />
  </object>

  <object id="RCUHost.NetworkSettingReceiver" type="RCUHost.Implement.NetworkSettingReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.ConnectingRoomReceiver" type="RCUHost.Implement.ConnectingRoomReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.DeviceControlReceiver" type="RCUHost.Implement.DeviceControlReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.DeviceSecretReceiver" type="RCUHost.Implement.DeviceSecretReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.HostSecretReceiver" type="RCUHost.Implement.HostSecretReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostRepository" ref="Repository.Host" />
  </object>

  <object id="RCUHost.UnlockControlReceiver" type="RCUHost.Implement.UnlockControlReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.RoomStatusReceiver" type="RCUHost.Implement.RoomStatusReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostRepository" ref="Repository.Host" />
    <property name="HostModalRepository" ref="Repository.HostModal" />
    <property name="HostModalRecordRepository" ref="Repository.HostModalRecord" />
    <property name="HostFaultsRepository" ref="Repository.HostFaults" />
    <property name="HostFaultRecordsRepository" ref="Repository.HostFaultRecords" />
    <property name="HostSceneRepository" ref="Repository.HostScene" />
    <property name="RoomTypeSceneRepository" ref="Repository.RoomTypeScene" />
    <property name="SysOauth2Repository" ref="Repository.SysOauth2" />
    <property name="RoomCardRepository" ref="Repository.RoomCard" />
    <property name="RoomCardTypeRepository" ref="Repository.RoomCardType" />
    <property name="HotelSeasonRepository" ref="Repository.HotelSeason" />
    <property name="HotelAirControlRepository" ref="Repository.HotelAirControl" />
    <property name="DeviceControlReceiver" ref="RCUHost.DeviceControlReceiver" />
    <!--阿宝添加的-->
    <property name="CarbonScene_SetRepository" ref="Repository.CarbonScene_SetRepository" />
    <property name="ILieECORepository" ref="Repository.LieECORepository" />
  </object>

  <object id="RCUHost.New_RoomStatusReceiver" type="RCUHost.Implement.New_RoomStatusReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostRepository" ref="Repository.Host" />
    <property name="HostModalRepository" ref="Repository.HostModal" />
    <property name="HostModalRecordRepository" ref="Repository.HostModalRecord" />
    <property name="HostFaultsRepository" ref="Repository.HostFaults" />
    <property name="HostFaultRecordsRepository" ref="Repository.HostFaultRecords" />
    <property name="HostSceneRepository" ref="Repository.HostScene" />
    <property name="RoomTypeSceneRepository" ref="Repository.RoomTypeScene" />
    <property name="SysOauth2Repository" ref="Repository.SysOauth2" />
    <property name="RoomCardRepository" ref="Repository.RoomCard" />
    <property name="RoomCardTypeRepository" ref="Repository.RoomCardType" />
    <property name="HotelSeasonRepository" ref="Repository.HotelSeason" />
    <property name="HotelAirControlRepository" ref="Repository.HotelAirControl" />
    <property name="DeviceControlReceiver" ref="RCUHost.DeviceControlReceiver" />
    <!--阿宝添加的-->
    <property name="CarbonScene_SetRepository" ref="Repository.CarbonScene_SetRepository" />
    <property name="ILieECORepository" ref="Repository.LieECORepository" />
  </object>


  <object id="RCUHost.RoomStatusChangedReceiver" type="RCUHost.Implement.RoomStatusChangedReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.AskRoomStatusChangedReceiver" type="RCUHost.Implement.AskRoomStatusChangedReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.AuthorizationReceiver" type="RCUHost.Implement.AuthorizationReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.EnergySavingModeReceiver" type="RCUHost.Implement.EnergySavingModeReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.UploadCurrentVersionReceiver" type="RCUHost.Implement.UploadCurrentVersionReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostRepository" ref="Repository.Host" />
    <property name="HostUpdateStatusRepository" ref="Repository.HostUpdateStatus" />
  </object>

  <object id="RCUHost.UpdateConfigReceiver" type="RCUHost.Implement.UpdateConfigReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.UpdateRCUFileReceiver" type="RCUHost.Implement.UpdateRCUFileReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.UpdateHostReceiver" type="RCUHost.Implement.UpdateHostReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostUpdateStatusRepository" ref="Repository.HostUpdateStatus" />
    <property name="HostRepository" ref="Repository.Host" />
  </object>

  <object id="RCUHost.UpdateHostCompletedReceiver" type="RCUHost.Implement.UpdateHostCompletedReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostUpdateStatusRepository" ref="Repository.HostUpdateStatus" />
    <property name="HostRepository" ref="Repository.Host" />
  </object>

  <object id="RCUHost.UpdateHostFTPReceiver" type="RCUHost.Implement.UpdateHostFTPReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostUpdateStatusRepository" ref="Repository.HostUpdateStatus" />
  </object>

  <object id="RCUHost.SyncTimeReceiver" type="RCUHost.Implement.SyncTimeReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="SysHotelRepository" ref="Repository.SysHotel" />
  </object>

  <object id="RCUHost.AirConditionStatusReceiver" type="RCUHost.Implement.AirConditionStatusReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostRepository" ref="Repository.Host" />
    <property name="HostAirRepository" ref="Repository.HostAir" />
  </object>

  <object id="RCUHost.RoomCardReceiver" type="RCUHost.Implement.RoomCardReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostRepository" ref="Repository.Host" />
    <property name="RoomCardRepository" ref="Repository.RoomCard" />
    <property name="HostRoomCardRepository" ref="Repository.HostRoomCard" />
    <property name="RoomCardTypeRepository" ref="Repository.RoomCardType" />
    <property name="AlarmSettingRepository" ref="Repository.AlarmSetting" />
    <property name="RoomServiceRepository" ref="Repository.RoomService" />
    <property name="RoomServiceRecordRepository" ref="Repository.RoomServiceRecord" />
    <property name="HostModalRepository" ref="Repository.HostModal" />
  </object>

  <object id="RCUHost.HeartReceiver" type="RCUHost.Implement.HeartReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true"></object>

  <object id="RCUHost.HostSearchReceiver" type="RCUHost.Implement.HostSearchReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostRepository" ref="Repository.Host" />
    <property name="HostModalRepository" ref="Repository.HostModal" />
    <property name="RoomTypeModalRepository" ref="Repository.RoomTypeModal" />
    <property name="SysHotelRepository" ref="Repository.SysHotel" />
    <property name="GroupRepository" ref="Repository.Group" />
    <property name="RoomTypeRepository" ref="Repository.RoomType" />
    <property name="DeviceSecretReceiver" ref="RCUHost.DeviceSecretReceiver" />
    <property name="HostRegisterReceiver" ref="RCUHost.HostRegisterReceiver" />
  </object>

  <object id="RCUHost.GenericReceiverBase" type="RCUHost.GenericReceiverBase" abstract="true">
    <property name="HostServer" ref="RCUHost.HostServer"></property>
    <property name="SysSettingRepository" ref="Repository.SysSetting" />
    <property name="SysSystemLogsRepository" ref="Repository.SysSystemLogs" />
  </object>

  <object id="RCUHost.HostServer" type="RCUHost.Implement.HostServer, RCUHost" singleton="true" init-method="init">
    <!--阿宝添加的-->
    <!--<property name="dev_MonitorLogRepository" ref="Repository.dev_MonitorLogRepository" />-->
    <property name="HostRepository" ref="Repository.Host" />
    <property name="SysHotelRepository" ref="Repository.SysHotel" />
    <property name="HostModalRepository" ref="Repository.HostModal" />
    <property name="SysOauth2Repository" ref="Repository.SysOauth2" />
  </object>

  <object id="RCUHost.TFTPReceiver" type="RCUHost.Implement.TFTPReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <!--阿宝添加的-->
    <property name="TFTPLogRepository" ref="Repository.TFTP_SetRepository" />
    <property name="HostRepository" ref="Repository.Host" />
  </object>

  <object id="RCUHost.TFTPSettingReceiver" type="RCUHost.Implement.TFTPSettingReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.UDPTouChuan" type="RCUHost.Implement.TouChuang, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
  </object>

  <object id="RCUHost.UpgradeProgressBar" type="RCUHost.Implement.UpgradeProgressBar, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <!--阿宝添加的-->
    <property name="HostRepository" ref="Repository.Host" />
  </object>

  <object id="RCUHost.PowerSupplyControlReceiver" type="RCUHost.Implement.PowerSupplyControlReceiver, RCUHost" parent="RCUHost.GenericReceiverBase" singleton="true">
    <property name="HostRepository" ref="Repository.Host" />
  </object>

  <object id="RCUHost.HostTimingControlHelper" type="RCUHost.TimingHelper.HostTimingControlHelper, RCUHost" singleton="true">
    <property name="HostRepository" ref="Repository.Host" />
    <property name="HostTimingControlRepository" ref="Repository.HostTimingControl" />
    <property name="RoomTypeSceneModalRepository" ref="Repository.RoomTypeSceneModal" />
    <property name="RoomTypeSceneRepository" ref="Repository.RoomTypeScene" />
  </object>
</objects>
